My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Typedefs Groups Pages
Public Member Functions | Protected Member Functions | List of all members
NexObject Class Reference
Core API

`#include <NexObject.h>`

Inheritance diagram for NexObject:

## Public Member Functions
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Protected Member Functions
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

Root class of all Nextion components.

Provides the essential attributes of a Nextion component and the methods accessing them. At least, Page ID(pid), Component ID(pid) and an unique name are needed for creating a component in Nexiton library.

## Constructor & Destructor Documentation

NexObject::NexObject | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

void NexObject::printObjInfo | ( | void |  | ) |

Print current object'address, page id, component id and name.

Warning
  this method does nothing, unless debug message enabled.

The documentation for this class was generated from the following files:

- NexObject.h
- NexObject.cpp